import type { ComponentType } from 'svelte';
import type { Node } from './types.js';
export declare const loadComponents: <T extends string = string>({ nodes, components: componentNames }: {
    nodes: Node[];
    components: T[];
}, loader: (componentName: T) => Promise<ComponentType | {
    default: ComponentType;
}>) => Promise<{
    nodes: Node[];
    components: Record<T, ComponentType>;
}>;
