export const getComponent = (node, components) => typeof node.component === 'string'
    ? components[node.component]
    : node.component;
export const getComponentProps = (node, props, components, fallback) => ({
    ...node.props,
    ...(typeof node.component === 'string' ? props[node.component] : {}),
    ...(node.rendererProps &&
        Object.fromEntries(Object.entries(node.rendererProps).map(([propName, nodes]) => [
            propName,
            { nodes, props, components, fallback },
        ]))),
});
