import { SvelteComponentTyped } from "svelte";
import type { ComponentType } from 'svelte';
import type { Node, Props } from './types.js';
declare const __propDef: {
    props: {
        /** Nodes returned from `parse`. */ nodes: Node[];
        /** Object of components in the form of `{ componentName: component }` */ components?: Record<string, ComponentType> | undefined;
        /** Object of props in the form of `{ componentName: Props }` */ props?: Record<string, Props> | undefined;
        /** A fallback component */ fallback?: ComponentType | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RendererProps = typeof __propDef.props;
export type RendererEvents = typeof __propDef.events;
export type RendererSlots = typeof __propDef.slots;
export default class Renderer extends SvelteComponentTyped<RendererProps, RendererEvents, RendererSlots> {
}
export {};
