import { SvelteComponentTyped } from "svelte";
import type { ComponentType } from 'svelte';
import type { Node, Props } from './types.js';
declare const __propDef: {
    props: {
        nodes: Node[];
        components?: Record<string, ComponentType> | undefined;
        props?: Record<string, Props> | undefined;
        fallback?: ComponentType | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SvgRendererProps = typeof __propDef.props;
export type SvgRendererEvents = typeof __propDef.events;
export type SvgRendererSlots = typeof __propDef.slots;
export default class SvgRenderer extends SvelteComponentTyped<SvgRendererProps, SvgRendererEvents, SvgRendererSlots> {
}
export {};
